classification
Title: pypirc default is not at the right format
Type: Stage:
Components: Distutils Versions: Python 3.0, Python 3.1, Python 2.7
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: benjamin.peterson Nosy List: amaury.forgeotdarc, benjamin.peterson, loewis, tarek
Priority: release blocker Keywords: patch

Created on 2008-11-24 00:54 by tarek, last changed 2008-12-29 22:05 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
fix_pypirc_default.diff tarek, 2008-11-24 00:54
Messages (6)
msg76286 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2008-11-24 00:54
when generated the default pypirc format is wrong, this patch fixes it
(could be backported in 2.6)
msg78471 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-12-29 18:15
The patch was applied in trunk, release26-maint and py3k.
Can this issue be closed, or do you plan to merge it into release30-maint?
msg78485 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2008-12-29 21:35
Yes, I was waiting to merge it to release30-maint then close it. 
I'll do it then close it.
msg78487 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2008-12-29 21:44
I am not sure what is the best way to merge it from 3k branch to
release30-maint since the original change was done with an automatic
merge from trunk to 3k branch with several other changes, then a slight
fix so the 2.x code works under 3.x.

Should I do a manual merge in release30-maint or there's a special way
to handle it ?
msg78489 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-12-29 21:51
Assigning to Benjamin, since he merged the change to 3k.

For the record, the revisions are these: r67926, r67944, r67948
msg78490 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-12-29 22:04
On Mon, Dec 29, 2008 at 3:51 PM, Martin v. Löwis <report@bugs.python.org> wrote:
>
> Martin v. Löwis <martin@v.loewis.de> added the comment:
>
> Assigning to Benjamin, since he merged the change to 3k.
>
> For the record, the revisions are these: r67926, r67944, r67948

And now r68031.
History
Date User Action Args
2008-12-29 22:05:17benjamin.petersonsetstatus: open -> closed
2008-12-29 22:04:50benjamin.petersonsetmessages: + msg78490
2008-12-29 21:51:27loewissetpriority: release blocker
assignee: tarek -> benjamin.peterson
messages: + msg78489
nosy: + loewis, benjamin.peterson
2008-12-29 21:44:48tareksetmessages: + msg78487
2008-12-29 21:35:32tareksetmessages: + msg78485
2008-12-29 18:15:41amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg78471
2008-12-24 18:43:09tareksetassignee: tarek
resolution: accepted
2008-11-24 00:54:45tarekcreate